import 'package:flx_ui/flx_ui.dart';

class SpaciousButton extends StatelessWidget {
  final Color? textColor;

  final Color? backgroundColor;

  final double? width;

  final String text;

  final TargetTapCallback onTap;

  const SpaciousButton({
    Key? key,
    required this.text,
    required this.onTap,
    this.width,
    this.textColor,
    this.backgroundColor,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return DeepCard(
      color: backgroundColor ?? ColorTheme.accent(context),
      clipped: true,
      child: Target(
        onTap: onTap,
        child: Container(
          height: 42,
          width: width ?? double.infinity,
          color: Colors.transparent,
          child: Center(
            child: Padding(
              padding: EdgeInsets.symmetric(horizontal: 15),
              child: Text(
                text,
                style: TextTheme.button(context).copyWith(
                  color: TextTheme.button(context).color ?? textColor,
                ),
              ),
            ),
          ),
        ),
      ),
    );
  }
}
