import 'package:flx_ui/flx_ui.dart';
import 'package:get/get.dart';

class Toggle extends StatelessWidget {
  final void Function(bool value)? onChanged;

  const Toggle({
    Key? key,
    this.onChanged,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ClipRRect(
      borderRadius: BorderRadius.circular(25),
      child: GetBuilder<ToggleController>(
        init: ToggleController(),
        global: false,
        builder: (controller) => Target(
          onTap: () {
            controller.onTap();
            if (onChanged != null) {
              onChanged!(controller.isEnable);
            }
          },
          child: FlatCard(
            width: 100,
            height: 55,
            borderRadius: 25,
            child: AnimatedAlign(
              alignment: controller.isEnable
                  ? Alignment.centerRight
                  : Alignment.centerLeft,
              duration: Duration(milliseconds: 550),
              child: Padding(
                padding: const EdgeInsets.symmetric(vertical: 4, horizontal: 6),
                child: DeepCard(
                  borderRadius: 100,
                  color: controller.isEnable
                      ? ColorTheme.accent(context)
                      : Colors.grey,
                  width: 40,
                  height: 40,
                  child: SizedBox(),
                ),
              ),
            ),
          ),
        ),
      ),
    );
  }
}
